package com.gz.service.system;

import com.github.pagehelper.PageInfo;
import com.gz.rvo.system.LogRVO;
import com.gz.vo.system.LogVO;

import java.util.List;

/**
 * @author LiuchangLan
 * @date 2020/9/7 20:16
 */
public interface LogService {

    /**
     * @description 查询日志
     * @author LiuChangLan
     * @since 2020/9/7 20:44
     */
    PageInfo<LogRVO> selectByPage(LogVO logVO);

    /**
     * @description 查询日志模块
     * @author LiuChangLan
     * @since 2020/9/7 20:44
     */
    List<String> selectLogModule();

    /**
     * @description 查询日志具体操作
     * @author LiuChangLan
     * @since 2020/9/7 20:45
     */
    List<String> selectLogBusiness(String module);

    /**
     * @description 清除所有日志
     * @author LiuChangLan
     * @since 2020/9/7 21:07
     */
    Integer clearAll();

    /**
     * @description 清除三十天之外的日志
     * @author LiuChangLan
     * @since 2020/9/7 21:07
     */
    Integer clearThirtyOut();

}
